# -*- encoding: utf-8 -*-
# stub: YubiRuby 1.1.0 ruby lib
# stub: ext/libyubikey/extconf.rb

Gem::Specification.new do |s|
  s.name = "YubiRuby".freeze
  s.version = "1.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Alessio Caiazza".freeze]
  s.date = "2014-07-18"
  s.description = "Yubikey integration - \n\nIncludes Prototypes for low-level Yubikey OTP functions \nwitten by Simon Josefsson <simon@josefsson.org>.\nCopyright (c) 2006, 2007, 2008, 2009 Yubico AB\nAll rights reserved.\n\nRedistribution and use in source and binary forms, with or without\nmodification, are permitted provided that the following conditions are\nmet:\n\n   * Redistributions of source code must retain the above copyright\n     notice, this list of conditions and the following disclaimer.\n\n   * Redistributions in binary form must reproduce the above\n     copyright notice, this list of conditions and the following\n     disclaimer in the documentation and/or other materials provided\n     with the distribution.\n\nTHIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS\n\"AS IS\" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT\nLIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR\nA PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT\nOWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,\nSPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT\nLIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,\nDATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY\nTHEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT\n(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE\nOF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n".freeze
  s.email = ["nolith@abisso.org".freeze]
  s.executables = ["modhex".freeze, "yubikey".freeze]
  s.extensions = ["ext/libyubikey/extconf.rb".freeze]
  s.files = ["bin/modhex".freeze, "bin/yubikey".freeze, "ext/libyubikey/extconf.rb".freeze]
  s.homepage = "http://bitbucket.org/nolith/yubiruby".freeze
  s.licenses = ["AS IS".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Yubico Server wrapper in Ruby".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.6"])
    s.add_development_dependency(%q<rake>.freeze, [">= 0"])
    s.add_development_dependency(%q<rake-compiler>.freeze, [">= 0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 2"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.8"])
    s.add_runtime_dependency(%q<bit-struct>.freeze, ["~> 0.15"])
  else
    s.add_dependency(%q<bundler>.freeze, ["~> 1.6"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<rake-compiler>.freeze, [">= 0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 2"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.8"])
    s.add_dependency(%q<bit-struct>.freeze, ["~> 0.15"])
  end
end
